darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Prim.FileUUID.ObjectMap

# Documentation

newtype UUID #

Constructors

UUID ByteString |

Instances

Eq UUID # |
Methods (==) :: UUID -> UUID -> Bool # (/=) :: UUID -> UUID -> Bool #
Ord UUID # |
Methods compare :: UUID -> UUID -> Ordering # (<) :: UUID -> UUID -> Bool # (<=) :: UUID -> UUID -> Bool # (>) :: UUID -> UUID -> Bool # (>=) :: UUID -> UUID -> Bool # max :: UUID -> UUID -> UUID # min :: UUID -> UUID -> UUID #
Show UUID # |
Methods showsPrec :: Int -> UUID -> ShowS # show :: UUID -> String # showList :: [UUID] -> ShowS #

type Location = (UUID, ByteString) #

data Object m #

Constructors

Directory DirContent |
Blob (m ByteString) !Hash |

data ObjectMap m #

Constructors

ObjectMap |
Fields getObject :: UUID -> m (Maybe (Object m)) putObject :: UUID -> Object m -> m (ObjectMap m) listObjects :: m [UUID]

Instances

type ApplyMonadStateOperations ObjectMap # |
type ApplyMonadStateOperations ObjectMap
type ApplyMonadOver ObjectMap m # |
type ApplyMonadOver ObjectMap m = StateT (ObjectMap m) m
type ApplyMonadBase (StateT (ObjectMap m) m) # |
type ApplyMonadBase (StateT (ObjectMap m) m) = m

type DirContent = Map ByteString UUID #